/* =========================================================================
  Dieses REXX-Script installiert einen Ordner mit dem Namen "ISDN" auf der
  Arbeitsoberflche. Existiert der Ordner schon, dann werden die Dateien
  lediglich durch die aktuelle Version ersetzt.
  Aus diesem Ordner knnen Sie bequem auf ISDN.EXE und das Handbuch zugreifen.
  Es bentigt keine Parameter.
  =========================================================================
[EOF]*/
/*=========================================================================*/
/* Rexx laden                                                              */
/*=========================================================================*/
Call RxFuncAdd 'SysLoadFuncs', 'REXXUTIL', 'SysLoadFuncs'
Call SysLoadFuncs
/*=========================================================================*/
Parse Upper Arg irgendwas
if (irgendwas = "") then call script
call HELP
/*=========================================================================*/
script:
Say "Installation von ISDN.EXE"
Say
"@ECHO OFF"
/*=========================================================================*/
FOLDERNAME = "ISDN^Anrufbeantworter"
EXEFILE    = "\ISDN.EXE"
INFOFILE   = "\ISDN.INF"
ORDNER     = "<ISDN_ORDNER>"
/*=========================================================================*/

Say "Die Installation erfolgt im Ordner '"||FOLDERNAME

/*=========================================================================*/
/* Wenn der Ordner nicht existert, lege ihn an.                            */
/*=========================================================================*/
If CheckFolder(FOLDERNAME,ORDNER)=0 Then Do
   Say "Der ISDN-Ordner existiert nicht und kann nicht angelegt werden. ENDE"
   Exit 2
End
/*=========================================================================*/
If Install(INFOFILE,EXEFILE,ORDNER)=0 Then Do
   Say "ISDN.EXE/ISDN.INF kann nicht im ISDN-Ordner installiert werden. ENDE."
   Exit 2
End

Say "Installation beendet."
Exit 0

/*=========================================================================*/
CheckFolder:  Procedure
/*=========================================================================*/
Parse Arg FOLDERNAME,ORDNER

   CURDIR   = Directory()

   Say "Lege ISDN-Ordner an"

   class    = 'WPFolder'
   name     = FOLDERNAME
   locate   = '<WP_DESKTOP>'
   id       = 'OBJECTID='||ORDNER||';OPEN=ICON;ICONVIEW=NONGRID;CCVIEW=NO;'

   return (SysCreateObject(class, name, locate, id, 'R'))
Return 1

/*=========================================================================*/
Install:  Procedure
/*=========================================================================*/
Parse Arg INFOFILE,EXEFILE,ORDNER

  CURDIR    = Directory()

  INFONAME  = CURDIR||INFOFILE
  EXENAME   = CURDIR||EXEFILE
  ICONNAME  = CURDIR||ICONFILE

  INFOPTION = "PROGTYPE=PM;EXENAME=VIEW.EXE;PARAMETERS="||INFONAME||";"
  EXEOPTION = "PROGTYPE=PM;EXENAME="||EXENAME||";PARAMETERS=;"

  class     = 'WPProgram'
  name      = 'ISDN^Anrufbeantworter^Handbuch'
  where     =  ORDNER
  setup     =  INFOPTION

  rc = SysCreateObject(class, name, where ,setup, 'R')

  if rc = 0 then
     return rc
                             
  class     = 'WPProgram'
  name      = 'ISDN^Anrufbeantworter'
  where     =  ORDNER
  setup     =  EXEOPTION

  rc = SysCreateObject(class, name, where , setup, 'R')

return rc
  
/*=========================================================================*/
HELP:             /* Anzeige des Beginns dieser Datei als Hilfetext        */
/*=========================================================================*/
  Call SysCls
  parse source OS2 CMD MyName
  /*=======================================================================*/
  do while lines(MyName)
     parse value linein(MyName) with word 
     if (POS("[EOF]",word) <> 0) then exit;
     say word
  end
return
/*=========================================================================*/

                       
